## set 1.0

=== DESCRIPTION ===
Package: set
Type: Package
Title: Set Operation
Version: 1.0
Author: Zhi Jin, Jing Zhang
Maintainer: Zhi Jin <nalanchongxuan@163.com>
Description: More easy to get intersection, union or complementary set and combinations.
License: GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.1
Imports: do
URL: https://github.com/yikeshu0611/set
BugReports: https://github.com/yikeshu0611/set/issues
NeedsCompilation: no
Packaged: 2019-09-13 12:57:07 UTC; asus
Repository: CRAN
Date/Publication: 2019-09-20 10:00:02 UTC

## set 1.1

=== DESCRIPTION ===
Package: set
Type: Package
Title: Set Operation
Version: 1.1
Author: Zhi Jin, Jing Zhang
Maintainer: Zhi Jin <nalanchongxuan@163.com>
Description: More easy to get intersection, union or complementary set and combinations.
License: GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.1
Imports: do
URL: https://github.com/yikeshu0611/set
BugReports: https://github.com/yikeshu0611/set/issues
NeedsCompilation: no
Packaged: 2020-02-22 17:13:18 UTC; asus
Repository: CRAN
Date/Publication: 2020-02-22 17:30:02 UTC

## set 1.2

=== DESCRIPTION ===
Package: set
Type: Package
Title: Set Operation
Version: 1.2
Author: Zhi Jin, Jing Zhang
Maintainer: Zhi Jin <nalanchongxuan@163.com>
Description: More easy to get intersection, union or complementary set and 
    combinations.
License: GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
Imports: do
URL: https://github.com/yikeshu0611/set
BugReports: https://github.com/yikeshu0611/set/issues
NeedsCompilation: no
Packaged: 2021-02-21 15:02:44 UTC; asus
Repository: CRAN
Date/Publication: 2021-02-26 15:10:02 UTC

## set 8.0.3+git20200609

=== debian/changelog ===
set (8.0.3+git20200609-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 17:10:07 +0200

set (8.0.3+git20200609-0kali2) kali-dev; urgency=medium

  * wrap-and-sort
  * Switch to cryptodome

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 27 Oct 2020 12:33:28 +0100

set (8.0.3+git20200609-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Sophie Brun ]
  * New upstream version 8.0.3+git20200609: fixes Python 3 issues (see 6681)
  * Refresh patches
  * Add a patch to fix utf-8 error
  * Fix lintian-overrides
  * Fix autopkgtest for snapshot version
  * Add patches to fix issues with Python 3

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 27 Aug 2020 11:53:06 +0200

set (8.0.3-0kali1) kali-dev; urgency=medium

  * New upstream version 8.0.3

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 05 Feb 2020 08:48:16 +0100

set (8.0.2-0kali1) kali-dev; urgency=medium

  * Fix failures in autopktest
  * New upstream version 8.0.2

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 04 Feb 2020 12:25:14 +0100

set (8.0.1+git20190924-0kali1) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * New upstream version 8.0.1+git20190924
  * Refresh patches
  * Switch to Python 3
  * Update lintian-overrides
  * Add a patch to fix autopkgtest issue
    (https://gitlab.com/kalilinux/packages/set/issues/1)
  * Bump Standards-Version to 4.4.1

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 07 Nov 2019 14:06:47 +0100

set (8.0.1-0kali1) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file

  [ Sophie Brun ]
  * Add debian/gbp.conf
  * New upstream version 8.0.1
  * Refresh patches
  * Update debian/copyright for new release
  * Add lintian-overrides
  * Use debhelper-compat 12
  * Bump Standards-Version to 4.4.0

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 24 Jul 2019 09:18:51 +0200

set (7.7.9-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Mon, 30 Jul 2018 09:22:09 +0200

set (7.7.8-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Mon, 04 Jun 2018 14:39:37 +0200

set (7.7.7-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Mon, 28 May 2018 15:10:13 +0200

set (7.7.6-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Wed, 23 May 2018 09:21:40 +0200

set (7.7.5-0kali1) kali-dev; urgency=medium

  * Add autopkgtest to test version
  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Thu, 11 Jan 2018 11:46:49 +0100

set (7.7.4-0kali2) kali-dev; urgency=medium

  * Add a patch to fix current version (see 4344)

 -- Sophie Brun <sophie@freexian.com>  Fri, 10 Nov 2017 09:58:27 +0100

set (7.7.4-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Fri, 03 Nov 2017 14:12:47 +0100

set (7.7.2-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Thu, 05 Oct 2017 09:52:19 +0200

set (7.7.1-0kali2) kali-dev; urgency=medium

  * Update autopkgtests

 -- Sophie Brun <sophie@freexian.com>  Thu, 14 Sep 2017 06:35:06 +0200

set (7.7.1-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Add nginx as dependency

 -- Sophie Brun <sophie@freexian.com>  Wed, 09 Aug 2017 12:12:42 +0200

set (7.7-0kali2) kali-dev; urgency=medium

  * Add autopkgtests provided by root boy

 -- Sophie Brun <sophie@freexian.com>  Wed, 19 Jul 2017 10:49:39 +0200

set (7.7-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Wed, 12 Jul 2017 10:46:10 +0200

set (7.6.5-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Mon, 29 May 2017 15:19:18 +0200

set (7.6.3-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Mon, 15 May 2017 15:44:05 +0200

set (7.6.2-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Thu, 04 May 2017 15:55:58 +0200

set (7.6.1-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Thu, 13 Apr 2017 09:26:20 +0200

set (7.6-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Fri, 10 Mar 2017 09:11:41 +0100

set (7.5.1-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Fri, 24 Feb 2017 15:26:58 +0100

set (7.5-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Drop patch fix-binary2teensy.patch (fixed upstream)
  * Add a patch to fix syntax error

 -- Sophie Brun <sophie@freexian.com>  Tue, 07 Feb 2017 13:57:44 +0100

set (7.4.5-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Add a patch to fix the syntax in src/teensy/binary2teensy.py

 -- Sophie Brun <sophie@freexian.com>  Mon, 16 Jan 2017 14:00:25 +0100

set (7.4.4-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Thu, 05 Jan 2017 09:22:45 +0100

set (7.4.3-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Tue, 06 Dec 2016 09:41:05 +0100

set (7.4.2-0kali1) kali-dev; urgency=medium



=== debian/control ===
Source: set
Section: utils
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 12), dh-python, python3-all
Standards-Version: 4.5.0
Homepage: https://www.trustedsec.com/downloads/social-engineer-toolkit/

Package: set
Architecture: all
Depends: aircrack-ng,
         ettercap-common,
         libapache2-mod-php,
         metasploit-framework,
         nginx,
         openssl,
         python3-impacket,
         python3-openssl,
         python3-paramiko,
         python3-pefile,
         python3-pexpect,
         python3-pil,
         python3-pycryptodome,
         python3-pymssql,
         python3-qrcode,
         python3-requests,
         upx-ucl,
         ${misc:Depends},
         ${python3:Depends}
Recommends: apache2
Suggests: sendmail-bin
Description: Social-Engineer Toolkit
 The Social-Engineer Toolkit (SET) is an open-source
 Python-driven tool aimed at penetration testing around
 Social-Engineering.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_auto_configure:
override_dh_auto_clean:
override_dh_auto_build:
override_dh_auto_install:
	# Setup.py is not usable

override_dh_install:
	dh_install
	install -D debian/helper-script/Signed_Update.jar $(CURDIR)/debian/set/usr/share/set/src/html/Signed_Update.jar.orig

override_dh_installchangelogs:
	dh_installchangelogs readme/CHANGELOG

=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/(\d\S*)\.tar\.gz/set-$1.tar.gz/" \
https://github.com/trustedsec/social-engineer-toolkit/tags .*/(\d\S*)\.tar\.gz

## set 8.0.3+git20241021

=== debian/changelog ===
set (8.0.3+git20241021-0kali1) kali-dev; urgency=medium

  * New upstream version 8.0.3+git20241021
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 23 Oct 2024 11:07:59 +0200

set (8.0.3+git20240909-0kali2) kali-dev; urgency=medium

  * Fix various Python 3.12 SyntaxWarning

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 16 Sep 2024 22:26:18 +0700

set (8.0.3+git20240909-0kali1) kali-dev; urgency=medium

  * New upstream version 8.0.3+git20240909

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 10 Sep 2024 11:32:23 +0200

set (8.0.3+git20240524-0kali1) kali-dev; urgency=medium

  * New upstream version 8.0.3+git20240524
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 27 May 2024 18:00:15 +0200

set (8.0.3+git20220126-0kali1) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Update email address
  * Add executable to helper-script
  * Move Signed_Update.jar out of helper
  * Use kali-deprecated
  * New helper-script format
  * New helper-script format
  * Fix email address
  * Update email address

  [ Kali Janitor ]
  * Update standards version to 4.6.1, no changes needed.
  * Update lintian override info to new format on line 2, 4, 5, 2, 6, 9, 20, 21.
  * Update watch file format version to 4.

  [ Daniel Ruiz de Alegría ]
  * New upstream version 8.0.3+git20220126
  * Update packaging
  * Refresh patches
  * New upstream version 8.0.3+git20220126
  * Update packaging and add missing dependency
  * Update watch file to use git latest changes
  * Update lintian-overrides
  * Remove file inside patch that was probably added by mistake
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 21 Dec 2023 17:35:46 +0100

=== debian/control ===
Source: set
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Devon Kearns <dookie@kali.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
Standards-Version: 4.6.2
Homepage: https://www.trustedsec.com/downloads/social-engineer-toolkit/
Vcs-Git: https://gitlab.com/kalilinux/packages/set.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/set

Package: set
Architecture: all
Depends: aircrack-ng,
         dsniff,
         ettercap-common,
         kali-defaults,
         libapache2-mod-php,
         metasploit-framework,
         nginx,
         openssl,
         python3-impacket,
         python3-openssl,
         python3-paramiko,
         python3-pefile,
         python3-pexpect,
         python3-pil,
         python3-pycryptodome,
         python3-pymssql,
         python3-qrcode,
         python3-requests,
         upx-ucl,
         ${misc:Depends},
         ${python3:Depends},
Recommends: apache2,
Suggests: sendmail-bin,
Description: Social-Engineer Toolkit
 The Social-Engineer Toolkit (SET) is an open-source
 Python-driven tool aimed at penetration testing around
 Social-Engineering.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_configure:
override_dh_auto_clean:
override_dh_auto_build:
override_dh_auto_install:
override_dh_auto_test:
	# Setup.py is not usable

override_dh_install:
	dh_install
	install -D debian/Signed_Update.jar $(CURDIR)/debian/set/usr/share/set/src/html/Signed_Update.jar.orig

override_dh_installchangelogs:
	dh_installchangelogs readme/CHANGELOG

=== debian/tests/control ===
Test-Command: debian/tests/runtests.sh Help Update_the_Social-Engineer_Toolkit Test_Website_Attack_Vectors QRCode_Generator_Attack_Vector Check_version
Restrictions: allow-stderr, needs-root, isolation-container
Depends: expect, gawk, lsof, @

=== debian/watch ===
version=4
opts="mode=git, pretty=8.0.3+git%cd, pgpmode=none" \
 https://github.com/trustedsec/social-engineer-toolkit/ HEAD

#version=4
#opts=filenamemangle=s/.*\/(\d\S*)\.tar\.gz/set-$1.tar.gz/ https://github.com/trustedsec/social-engineer-toolkit/tags .*/(\d\S*)\.tar\.gz

## set opacity-1.0-gh

=== Makefile ===
PACKAGES = xcomposite xfixes xdamage xrender
LIBS=`pkg-config --libs ${PACKAGES}` -lm
INCS=`pkg-config --cflags ${PACKAGES}`

.c.o:
	$(CC) $(CFLAGS) $(INCS) -c $*.c

OBJS=set_opacity.o interface.o stack.o

set_opacity: $(OBJS)
	$(CC) $(CFLAGS) -g -o $@ $(OBJS) $(LIBS)

$(OBJS): interface.h stack.h

clean:
	rm -f $(OBJS) set_opacity

## set time-1.2

=== Makefile ===
#
#       Makefile for gettime/st
#
#	t. marauder


CC     =gcc
CFLAGS =-s -O2 -m486
INSTALL=install
BINDIR =/usr/local/bin

all: gettime

gettime: gettime.c
	$(CC) $(CFLAGS) -o gettime gettime.c $(LIBS)

install: all
	$(INSTALL) -m 700 -o root -g root gettime $(BINDIR)
	$(INSTALL) -m 700 -o root -g root st $(BINDIR)
clean:
	rm -f *.o gettime
